RDATE(8) | System Manager's Manual | RDATE(8)

# NAME

`rdate` —
set the system's date from a remote host

# SYNOPSIS

`rdate` | [`-46aps`] host

# DESCRIPTION

`rdate` displays and sets the local date and time from the host name or address given as the argument. It uses the RFC 868 protocol which is usually implemented as a built-in service of inetd(8).

Available options:

`-4`
  Forces `rdate` to use IPv4 addresses only.
`-6`
  Forces `rdate` to use IPv6 addresses only.
`-a`
  Use the adjtime(2) call to gradually skew the local time to the remote time rather than just hopping.
`-p`
  Do not set, just print the remote time
`-s`
  Do not print the time.

# FILES

/var/log/wtmp
  A record of date resets and time changes.

# SEE ALSO

adjtime(2), gettimeofday(2), utmp(5), inetd(8)

August 26, 2017 | NetBSD 9.4